%--------------------------------------------------------------------------
% File     : CAT018-1 : TPTP v3.0.1. Released v1.0.0.
% Domain   : Category Theory
% Problem  : If xy and yz exist, then so does x(yz)
% Version  : [Mit67] axioms.
% English  : 

% Refs     : [Mit67] Mitchell (1967), Theory of Categories
% Source   : [ANL]
% Names    : p18.ver1.in [ANL]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.2.1, 0.22 v2.2.0, 0.14 v2.1.0, 0.20 v2.0.0
% Syntax   : Number of clauses     :   21 (   0 non-Horn;   9 unit;  15 RR)
%            Number of atoms       :   48 (   1 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :    4 (   0 propositional; 1-3 arity)
%            Number of functors    :    6 (   3 constant; 0-2 arity)
%            Number of variables   :   52 (   5 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Mitchell's axioms for category theory 
include('Axioms/CAT001-0.ax').
%--------------------------------------------------------------------------
cnf(assume_ab_exists,hypothesis,
    ( defined(a,b) )).

cnf(assume_bc_exists,hypothesis,
    ( defined(b,c) )).

cnf(prove_a_bc_exists,negated_conjecture,
    ( ~ defined(a,compose(b,c)) )).

%--------------------------------------------------------------------------
