%--------------------------------------------------------------------------
% File     : FLD018-3 : TPTP v3.0.1. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : If a is zero, the additive inverse of a is also zero 
% Version  : [Dra93] axioms : Especial.
%            Theorem formulation : Functional with re axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : Unsatisfiable
% Rating   : 0.00 v2.2.1, 0.33 v2.1.0
% Syntax   : Number of clauses     :   29 (   3 non-Horn;   6 unit;  29 RR)
%            Number of atoms       :   80 (   0 equality)
%            Maximal clause size   :    5 (   3 average)
%            Number of predicates  :    4 (   0 propositional; 1-3 arity)
%            Number of functors    :    7 (   3 constant; 0-2 arity)
%            Number of variables   :   73 (   0 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in FLD002-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD002-0.ax').
%--------------------------------------------------------------------------
cnf(a_is_defined,hypothesis,
    ( defined(a) )).

cnf(sum_2,negated_conjecture,
    ( sum(additive_identity,a,additive_identity) )).

cnf(not_sum_3,negated_conjecture,
    ( ~ sum(additive_identity,additive_inverse(a),additive_identity) )).

%--------------------------------------------------------------------------
