%--------------------------------------------------------------------------
% File     : GEO056-2 : TPTP v3.0.1. Released v1.0.0.
% Domain   : Geometry
% Problem  : Corollary 1 to null extension
% Version  : [Qua89] axioms.
% English  : 

% Refs     : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
%          : [Qua89] Quaife (1989), Automated Development of Tarski's Geome
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.09 v2.7.0, 0.08 v2.6.0, 0.00 v2.0.0
% Syntax   : Number of clauses     :   21 (   5 non-Horn;   9 unit;  17 RR)
%            Number of atoms       :   59 (  10 equality)
%            Maximal clause size   :    8 (   3 average)
%            Number of predicates  :    3 (   0 propositional; 2-4 arity)
%            Number of functors    :   11 (   5 constant; 0-6 arity)
%            Number of variables   :   73 (   3 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : Proving corollaries from axioms is not usual.
%--------------------------------------------------------------------------
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
%----Include definition of reflection 
include('Axioms/GEO002-2.ax').
%--------------------------------------------------------------------------
cnf(u_equals_v,hypothesis,
    ( u = v )).

cnf(prove_v_equals_reflection,negated_conjecture,
    (  v != reflection(u,v) )).

%--------------------------------------------------------------------------
