%--------------------------------------------------------------------------
% File     : GRP016-1 : TPTP v3.0.1. Released v1.0.0.
% Domain   : Group Theory
% Problem  : There is a homomorphism from a group to itself
% Version  : [BL+86] axioms.
% English  : 

% Refs     : [BL+86] Boyer et al. (1986), Set Theory in First-Order Logic: 
% Source   : [BL+86]
% Names    : Problem 226-227 [BL+86]

% Status   : Unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses     :  167 (  27 non-Horn;  13 unit; 137 RR)
%            Number of atoms       :  423 (  59 equality)
%            Maximal clause size   :    8 (   3 average)
%            Number of predicates  :   89 (   8 propositional; 0-5 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :  395 (  33 singleton)
%            Maximal term depth    :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Godel's set axioms 
include('Axioms/SET003-0.ax').
%----Include the axioms for algebra from Godel's set axioms 
include('Axioms/ALG001-0.ax').
%--------------------------------------------------------------------------
cnf(a_group,negated_conjecture,
    ( group(f69,f70) )).

cnf(prove_there_is_a_homomorphism,negated_conjecture,
    ( ~ homomorphism(Y,f69,f70,f69,f70) )).

%--------------------------------------------------------------------------
