%--------------------------------------------------------------------------
% File     : HWV024-2 : TPTP v3.0.1. Released v2.5.0.
% Domain   : Hardware Verification
% Problem  : Safelogic VHDL design verification obligation
% Version  : [Mar02] axioms : Especial.
% English  : 

% Refs     : [CHM02] Claessen et al. (2002), Verification of Hardware Systems
%          : [Mar02] Martensson (2002), Email to G. Sutcliffe
% Source   : [Mar02]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 1.00 v2.5.0
% Syntax   : Number of clauses     :  138 (  62 non-Horn;  30 unit;  97 RR)
%            Number of atoms       :  420 (  81 equality)
%            Maximal clause size   :   10 (   3 average)
%            Number of predicates  :    4 (   0 propositional; 1-2 arity)
%            Number of functors    :   48 (  10 constant; 0-3 arity)
%            Number of variables   :  225 (  20 singleton)
%            Maximal term depth    :    5 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include VHDL design axioms
include('Axioms/HWV004-0.ax').
%--------------------------------------------------------------------------
cnf(quest_1,negated_conjecture,
    ( ~ p__pred_(fwork_DOTfifo_DOTrtl_DOTrd_(t_206)) )).

cnf(quest_2,negated_conjecture,
    ( ~ p__pred_(fwork_DOTfifo_DOTrtl_DOTreset_(t_206)) )).

cnf(quest_3,negated_conjecture,
    ( p_LES_EQU_(n0,x_207) )).

cnf(quest_4,negated_conjecture,
    ( p_LES_EQU_(x_207,f_SUB_(fwork_DOTfifo_DOTrtl_DOTfifo__width_,n1)) )).

cnf(quest_5,negated_conjecture,
    (  f__index_(fwork_DOTfifo_DOTrtl_DOTdata__out_(f_ADD_(t_206,n1)),f_SUB_(f_SUB_(fwork_DOTfifo_DOTrtl_DOTfifo__width_,1),x_207)) != f__index_(fwork_DOTfifo_DOTrtl_DOTdata__out_(t_206),f_SUB_(f_SUB_(fwork_DOTfifo_DOTrtl_DOTfifo__width_,1),x_207)) )).

%--------------------------------------------------------------------------
