%--------------------------------------------------------------------------
% File     : LAT085-1 : TPTP v3.0.1. Released v2.6.0.
% Domain   : Lattice Theory
% Problem  : Axiom for lattice theory, part 6
% Version  : [MP96] (equality) axioms.
% English  : 

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.67 v2.7.0, 0.64 v2.6.0
% Syntax   : Number of clauses     :    2 (   0 non-Horn;   2 unit;   1 RR)
%            Number of atoms       :    2 (   2 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    5 (   3 constant; 0-2 arity)
%            Number of variables   :    7 (   1 singleton)
%            Maximal term depth    :   12 (   5 average)

% Comments : A UEQ part of LAT015-1
%--------------------------------------------------------------------------
cnf(single_axiom,axiom,
    ( join(meet(join(meet(A,B),meet(B,join(A,B))),C),meet(join(meet(A,join(join(meet(D,B),meet(B,E)),B)),meet(join(meet(B,meet(meet(join(D,join(B,E)),join(F,B)),B)),meet(G,join(B,meet(meet(join(D,join(B,E)),join(F,B)),B)))),join(A,join(join(meet(D,B),meet(B,E)),B)))),join(join(meet(A,B),meet(B,join(A,B))),C))) = B )).

cnf(prove_normal_axioms_6,negated_conjecture,
    (  join(join(a,b),c) != join(a,join(b,c)) )).

%--------------------------------------------------------------------------
