%--------------------------------------------------------------------------
% File     : LCL206-3 : TPTP v3.0.1. Bugfixed v2.4.1.
% Domain   : Logic Calculi (Propositional)
% Problem  : Principia Mathematica 2.52
% Version  : [WR27] axioms.
% English  : 

% Refs     : [WR27]  Whitehead & Russell (1927), Principia Mathematica
% Source   : [WR27]
% Names    : Problem 2.52 [WR27]

% Status   : Unsatisfiable
% Rating   : 0.33 v2.7.0, 0.17 v2.6.0, 0.50 v2.5.0
% Syntax   : Number of clauses     :    9 (   0 non-Horn;   7 unit;   3 RR)
%            Number of atoms       :   12 (   1 equality)
%            Maximal clause size   :    3 (   1 average)
%            Number of predicates  :    3 (   0 propositional; 1-2 arity)
%            Number of functors    :    5 (   2 constant; 0-2 arity)
%            Number of variables   :   16 (   1 singleton)
%            Maximal term depth    :    4 (   2 average)

% Comments : 
% Bugfixes : v2.4.1 - Fixed clause prove_this.
%--------------------------------------------------------------------------
%----Include axioms of propositional logic 
include('Axioms/LCL004-0.ax').
%--------------------------------------------------------------------------
cnf(prove_this,negated_conjecture,
    ( ~ theorem(implies(not(implies(p,q)),implies(not(p),not(q)))) )).

%--------------------------------------------------------------------------
