%--------------------------------------------------------------------------
% File     : SET013-3 : TPTP v3.0.1. Released v1.0.0.
% Domain   : Set Theory
% Problem  : The intersection of sets is commutative
% Version  : [BL+86] axioms.
% English  : 

% Refs     : [BL+86] Boyer et al. (1986), Set Theory in First-Order Logic: 
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.73 v2.7.0, 0.75 v2.6.0, 0.80 v2.5.0, 0.75 v2.4.0, 0.89 v2.2.1, 0.89 v2.2.0, 0.89 v2.1.0, 1.00 v2.0.0
% Syntax   : Number of clauses     :  144 (  20 non-Horn;  14 unit; 121 RR)
%            Number of atoms       :  358 (  50 equality)
%            Maximal clause size   :    8 (   2 average)
%            Number of predicates  :   14 (   0 propositional; 1-5 arity)
%            Number of functors    :   63 (  10 constant; 0-5 arity)
%            Number of variables   :  320 (  28 singleton)
%            Maximal term depth    :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Godel's set axioms 
include('Axioms/SET003-0.ax').
%--------------------------------------------------------------------------
cnf(intersection_of_a_and_b_is_c,hypothesis,
    ( intersection(as,bs) = cs )).

cnf(intersection_of_b_and_a_is_d,hypothesis,
    ( intersection(bs,as) = ds )).

cnf(prove_c_equals_d,negated_conjecture,
    (  cs != ds )).

%--------------------------------------------------------------------------
