%--------------------------------------------------------------------------
% File     : SYN334-1 : TPTP v3.0.1. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Church problem 46.14 (6)
% Version  : Especial.
% English  : 

% Refs     : [Chu56] Church (1956), Introduction to Mathematical Logic I
%          : [FL+93] Fermuller et al. (1993), Resolution Methods for the De
%          : [Tam94] Tammet (1994), Email to Geoff Sutcliffe.
% Source   : [Tam94]
% Names    : Ch14N6 [Tam94]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses     :    7 (   2 non-Horn;   0 unit;   5 RR)
%            Number of atoms       :   17 (   0 equality)
%            Maximal clause size   :    3 (   2 average)
%            Number of predicates  :    2 (   0 propositional; 2-2 arity)
%            Number of functors    :    1 (   0 constant; 2-2 arity)
%            Number of variables   :   14 (   0 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : All the problems here can be decided by using a certain
%            completeness-preserving term ordering strategies. See [FL+93].
%          : The conversion from the full 1st order form in [Chu56]
%            to clause form was done by hand by Tanel Tammet.
%--------------------------------------------------------------------------
cnf(clause1,negated_conjecture,
    ( ~ f(X,Y)
    | f(X,z(X,Y))
    | ~ g(Y,z(X,Y)) )).

cnf(clause2,negated_conjecture,
    ( ~ f(X,Y)
    | ~ f(X,z(X,Y))
    | g(Y,z(X,Y)) )).

cnf(clause3,negated_conjecture,
    ( ~ f(z(X,Y),z(X,Y))
    | g(z(X,Y),z(X,Y))
    | ~ f(X,Y) )).

cnf(clause4,negated_conjecture,
    ( f(z(X,Y),z(X,Y))
    | f(X,Y) )).

cnf(clause5,negated_conjecture,
    ( ~ g(z(X,Y),z(X,Y))
    | f(X,Y) )).

cnf(clause6,negated_conjecture,
    ( g(X,Y)
    | g(z(X,Y),z(X,Y)) )).

cnf(clause7,negated_conjecture,
    ( ~ g(X,Y)
    | ~ g(z(X,Y),z(X,Y)) )).

%--------------------------------------------------------------------------
