%--------------------------------------------------------------------------
% File     : AGT013+1 : TPTP v3.0.1. Bugfixed v3.0.0.
% Domain   : Agents
% Problem  : Problem for the CPlanT system
% Version  : [Bar03] axioms : Especial.
% English  :

% Refs     : [Bar03] Barta, J. (2003), Email to G. Sutcliffe
%          : [BT+03] Barta et al. (2003), Meta-Reasoning in CPlanT Multi-Ag
%          : [TBP03] Tozicka et al. (2003), Meta-reasoning for Agents' Priv
% Source   : [Bar03]
% Names    :

% Status   : Theorem
% Rating   : ? v3.0.0
% Syntax   : Number of formulae    :  398 ( 372 unit)
%            Number of atoms       :  492 (   2 equality)
%            Maximal formula depth :    9 (   1 average)
%            Number of connectives :  139 (  45 ~  ;   2  |;  66  &)
%                                         (  16 <=>;  10 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   16 (   0 propositional; 1-4 arity)
%            Number of functors    :  132 ( 131 constant; 0-2 arity)
%            Number of variables   :   55 (   0 singleton;  54 !;   1 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments :
% Bugfixes : v3.0.0 - Bugfixes in NUM005+1.ax
%--------------------------------------------------------------------------
%----Include axioms of CPlanT
include('Axioms/AGT001+0.ax').
%----Include events of CPlanT
include('Axioms/AGT001+1.ax').
%----Include axioms for RDN and RDN less
include('Axioms/NUM005+0.ax').
include('Axioms/NUM005+1.ax').
%--------------------------------------------------------------------------
fof(query_13,conjecture,
    ( ~ accept_population(muslimcountrybhumanitarianorganization,christian,n25) )).

%--------------------------------------------------------------------------
