%--------------------------------------------------------------------------
% File     : FLD014-1 : TPTP v3.0.1. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Compatibility of additive inverses with the equality, part 1
% Version  : [Dra93] axioms : Especial.
%            Theorem formulation : Functional with glxx axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : Unsatisfiable
% Rating   : 0.83 v2.7.0, 1.00 v2.1.0
% Syntax   : Number of clauses     :   31 (   3 non-Horn;   7 unit;  31 RR)
%            Number of atoms       :   77 (   0 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :    3 (   0 propositional; 1-2 arity)
%            Number of functors    :    8 (   4 constant; 0-2 arity)
%            Number of variables   :   50 (   0 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in FLD001-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD001-0.ax').
%--------------------------------------------------------------------------
cnf(a_is_defined,hypothesis,
    ( defined(a) )).

cnf(b_is_defined,hypothesis,
    ( defined(b) )).

cnf(a_equals_b_3,negated_conjecture,
    ( equalish(a,b) )).

cnf(additive_inverse_not_equal_to_additive_inverse_4,negated_conjecture,
    ( ~ equalish(additive_inverse(a),additive_inverse(b)) )).

%--------------------------------------------------------------------------
