%--------------------------------------------------------------------------
% File     : GEO146-1 : TPTP v3.0.1. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Symmetry of connect
% Version  : [EHK99] axioms.
% English  : 

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.36 v2.7.0, 0.25 v2.6.0, 0.33 v2.5.0, 0.44 v2.4.0
% Syntax   : Number of clauses     :  114 (  43 non-Horn;   4 unit; 102 RR)
%            Number of atoms       :  336 (  41 equality)
%            Maximal clause size   :   12 (   3 average)
%            Number of predicates  :   16 (   0 propositional; 1-4 arity)
%            Number of functors    :   34 (   3 constant; 0-5 arity)
%            Number of variables   :  310 (  19 singleton)
%            Maximal term depth    :    4 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO146+1.p 
%--------------------------------------------------------------------------
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004-1.ax').
%----Include oriented curve axioms
include('Axioms/GEO004-2.ax').
%----Include trajectory axioms
include('Axioms/GEO004-3.ax').
%--------------------------------------------------------------------------
cnf(t12_156,negated_conjecture,
    ( connect(sk27,sk28,sk29)
    | connect(sk28,sk27,sk29) )).

cnf(t12_157,negated_conjecture,
    ( connect(sk27,sk28,sk29)
    | ~ connect(sk27,sk28,sk29) )).

cnf(t12_158,negated_conjecture,
    ( ~ connect(sk28,sk27,sk29)
    | connect(sk28,sk27,sk29) )).

cnf(t12_159,negated_conjecture,
    ( ~ connect(sk28,sk27,sk29)
    | ~ connect(sk27,sk28,sk29) )).

%--------------------------------------------------------------------------
