%--------------------------------------------------------------------------
% File     : HWV036-2 : TPTP v3.0.1. Bugfixed v2.7.0.
% Domain   : Hardware Verification
% Problem  : Full-adder.
% Version  : [Gei96] axioms.
% English  :

% Refs     : [Gei96] Geisler (1996), Email to G. Sutcliffe
% Source   : [Gei96]
% Names    :

% Status   : Satisfiable
% Rating   : 0.43 v2.7.0
% Syntax   : Number of clauses     :   51 (   5 non-Horn;   0 unit;  51 RR)
%            Number of atoms       :  129 (   0 equality)
%            Maximal clause size   :    4 (   3 average)
%            Number of predicates  :   12 (   0 propositional; 1-2 arity)
%            Number of functors    :   12 (   0 constant; 1-1 arity)
%            Number of variables   :   55 (   0 singleton)
%            Maximal term depth    :    3 (   2 average)

% Comments : 
% Bugfixes : v2.7.0 - Bugfix in HWV002-0.ax
%--------------------------------------------------------------------------
%----Include Connections, faults, and gates.
include('Axioms/HWV002-0.ax').
%----Include Half-adder.
include('Axioms/HWV002-1.ax').
%----Include Full-adder.
include('Axioms/HWV002-2.ax').
%--------------------------------------------------------------------------
