%--------------------------------------------------------------------------
% File     : NUM289-1 : TPTP v3.0.1. Released v2.5.0.
% Domain   : Number Theory (Ordinals)
% Problem  : Number theory (ordinals) axioms, based on NBG set theory
% Version  : [Qua92] axioms.
% English  : 

% Refs     : [Qua92] Quaife (1992), Email to G. Sutcliffe
% Source   : [Qua92]
% Names    : 

% Status   : Satisfiable
% Rating   : 0.67 v2.6.0, 1.00 v2.5.0
% Syntax   : Number of clauses     :  158 (  12 non-Horn;  46 unit; 119 RR)
%            Number of atoms       :  322 (  71 equality)
%            Maximal clause size   :    5 (   2 average)
%            Number of predicates  :   17 (   0 propositional; 1-3 arity)
%            Number of functors    :   62 (  18 constant; 0-3 arity)
%            Number of variables   :  303 (  40 singleton)
%            Maximal term depth    :    6 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
%----Include Set theory (Boolean algebra) axioms based on NBG set theory 
include('Axioms/SET004-1.ax').
%----Include Number theory (ordinals) axioms, based on NBG set theory
include('Axioms/NUM004-0.ax').
%--------------------------------------------------------------------------
