%--------------------------------------------------------------------------
% File     : TOP011-1 : TPTP v3.0.1. Released v1.0.0.
% Domain   : Topology
% Problem  : An alternative definition of top_of_basis
% Version  : [WM89] axioms : Incomplete.
% English  : 

% Refs     : [WM89]  Wick & McCune (1989), Automated Reasoning about Elemen
% Source   : [WM89]
% Names    : Problem 6 [WM89]

% Status   : Satisfiable
% Rating   : 0.57 v2.7.0, 0.40 v2.6.0, 0.50 v2.4.0, 1.00 v2.2.1, 0.75 v2.2.0, 0.67 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses     :  112 (  25 non-Horn;   0 unit; 107 RR)
%            Number of atoms       :  343 (   0 equality)
%            Maximal clause size   :    8 (   3 average)
%            Number of predicates  :   22 (   0 propositional; 1-4 arity)
%            Number of functors    :   38 (   4 constant; 0-5 arity)
%            Number of variables   :  358 (  56 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : The axioms in this version are known to be incomplete. To
%            obtain a proof of this theorem it may be necessary to add
%            appropriate set theory axioms.
%--------------------------------------------------------------------------
%----Include Point-set topology axioms 
include('Axioms/TOP001-0.ax').
%--------------------------------------------------------------------------
cnf(problem_6_126,negated_conjecture,
    ( element_of_set(cu,top_of_basis(f))
    | subset_collections(g,f) )).

cnf(problem_6_127,negated_conjecture,
    ( element_of_set(cu,top_of_basis(f))
    | equal_sets(cu,union_of_members(g)) )).

cnf(problem_6_128,negated_conjecture,
    ( ~ element_of_set(cu,top_of_basis(f))
    | ~ subset_collections(X,f)
    | ~ equal_sets(cu,union_of_members(X)) )).

%--------------------------------------------------------------------------
